<?php
namespace Mirasvit\SeoMarkup\Controller\Adminhtml\Extender\Save;

/**
 * Interceptor class for @see \Mirasvit\SeoMarkup\Controller\Adminhtml\Extender\Save
 */
class Interceptor extends \Mirasvit\SeoMarkup\Controller\Adminhtml\Extender\Save implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\App\Action\Context $context, \Mirasvit\SeoMarkup\Api\Data\ExtenderInterfaceFactory $factory, \Mirasvit\SeoMarkup\Repository\ExtenderRepository $extenderRepository, \Magento\Framework\App\Request\DataPersistorInterface $dataPersistor)
    {
        $this->___init();
        parent::__construct($context, $factory, $extenderRepository, $dataPersistor);
    }

    /**
     * {@inheritdoc}
     */
    public function execute() : \Magento\Framework\Controller\ResultInterface
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }

    /**
     * {@inheritdoc}
     */
    public function dispatch(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'dispatch');
        return $pluginInfo ? $this->___callPlugins('dispatch', func_get_args(), $pluginInfo) : parent::dispatch($request);
    }
}
